- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#body.aspect)
- [DeleteOneTimeProductRequest](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#DeleteOneTimeProductRequest)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#DeleteOneTimeProductRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchDelete.md.txt#try-it)

Deletes one or more one-time products.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/oneTimeProducts:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the one-time products should be deleted. Must be equal to the packageName field on all the requests. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`DeleteOneTimeProductRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`DeleteOneTimeProductRequest`)`` Required. A list of delete requests of up to 100 elements. All requests must delete different one-time products. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## DeleteOneTimeProductRequest

Request message for deleting a one-time product.

| JSON representation |
|---|
| ``` { "packageName": string, "productId": string, "latencyTolerance": enum (`ProductUpdateLatencyTolerance`) } ``` |

| Fields ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the one-time product to delete. |
| `productId` | `string` Required. The one-time product ID of the one-time product to delete. |
| `latencyTolerance` | ``enum (`ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive. |